// State of include guard
#ifndef DISTORT_GLSL
#define DISTORT_GLSL

vec3 DistortPosition(vec3 shadowClipPos){
	float distortionFactor = length(shadowClipPos.xy); // distance from the player in shadow clip space
	distortionFactor += 0.1; // very small distances can cause issues so we add this to slightly reduce the distortion

	shadowClipPos.xy /= distortionFactor;
	shadowClipPos.z *= 0.5; // increases shadow distance on the Z axis, which helps when the sun is very low in the sky
	return shadowClipPos;
}

// End of include guard
#endif